<?php
/**
 * Copyright (C) OElove Webapp All rights reserved.
 * <E-Mail：service@phpcoo.com>
 * Url http://www.phpcoo.com
 *     http://www.oephp.com
 *     http://www.oelove.com
 * Update 2020.12.01  微信支付 Native统一支付回调接口
 */
header("Content-type: text/html; charset=utf-8");
@set_time_limit(0);
@error_reporting(E_ALL & ~ E_NOTICE);
@date_default_timezone_set("Asia/Shanghai"); //0.04.15
define('BASE_ROOT', substr(dirname(__FILE__), 0, -6));
require_once(BASE_ROOT."source/core/oephp/Application.php");
APP::run("wap");
$c = "pay";
$a = "native";
define("GB_OELOVE_M", "wap");
define("GB_OELOVE_C", $c);
define("GB_OELOVE_A", $a);
$control_base = BASE_ROOT."source/control/oephp/oelove.wapbase2.php";
$control_path = BASE_ROOT."source/control/wap/{$c}.php";
require_once($control_base);
require_once($control_path);
$control = new control();
$method = 'control_'.$a;
if (method_exists($control, $method)) {
	$control->$method();
} 
else {
	XHandle::error("weixin controller action is not found!");
}
unset($control);
?>